### Function

# FwupdPlugin dump_raw

#### Declaration [src]

    void
    fu_dump_raw (
      const gchar* log_domain,
      const gchar* title,
      const guint8* data,
      gsize len
    )

#### Description [src]

Dumps a raw buffer to the screen.

Available since: | 1.8.2

#### Parameters

`log_domain` | `const gchar*`
| Optional log domain, typically `G_LOG_DOMAIN`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`title` | `const gchar*`
| Optional prefix title.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`data` | `const guint8*`
| Buffer to print.
| The data is owned by the caller of the function.
`len` | `gsize`
| The size of `data`.